@charset "UTF-8";



.main-app-color-primary{
    color: #29385E;
}

.main-app-color-secondary{
    color: #666;
}
  

.profile .dots-1 svg {
    fill: #f3b631;
}

.profile .dots-3 svg {
    fill: #f3b631;
}

.app-logo-img{
    height: 50px;
    margin-right: 10px;
}

.btn:hover{
    text-decoration: underline;
    text-decoration-color: #f3b631;
}

.btn-primary:hover{
    background-color: #fff;
    color: #29385E;
    text-decoration: underline;
    text-decoration-color: #f3b631;
}

.btn-secondary{
    color: #29385E;
    background-color: #fff;
    border-color: #29385E;
}

.btn-primary:active .btn-secondary:active{
    background-color: #f3b631;
    color: #fff;
}

.btn-secondary:hover{
    background-color: #29385E;
    color:#fff;
    text-decoration: underline;
    text-decoration-color: #f3b631;
    border-color: #FFF;
}

.form-btn{
    float:right;
}

.tab-link:hover{
    transform: scale(1);
}

.map-div iframe{
    border: 2px solid #ced4da;
    border-radius: 5px;
    background-color: #fff;
    /*box-shadow: 3px 3px 2px 1px #666;*/
}

.app-link{
    cursor: pointer;
    text-decoration: none;
    color: #29385E;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity));
    border-bottom: 1px solid #29385E;
}

.app-link:hover{
    background-color: #29385E;
    color: #fff;
    /*transform: scale(1.1);*/
    text-decoration: underline;
    text-decoration-color: #f3b631;
    /* font-size: 1.1rem; */
}
.app-link:active{
    background-color: #f3b631;
    color: #fff;
}

.label-in-row{
    padding-left: 1.50rem !important
    
}


.card-header{
    min-height: 50px;
    font-size: 1.25rem;
}

.estimate-results-div{
    width: 100%;
    border: 1px solid #29385E;
    border-radius: 5px;
    text-align: center;
    height: 100px;
    font-size: 1.5rem;
    color: #29385E;
    line-height: 100px;
}


.modal-footer{
  justify-content: center;
}

/* cube animation for logo */

#cube path:not(.shadow) {
    animation-name: float;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out; 
}

#cube .shadow {
    transform-origin: bottom;
    animation-name: shadow;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out; 
}
  
@keyframes float {
to {
    transform: translateY(8px); } 
}
  
@keyframes shadow {
to {
    transform: scale(0.8);
    fill: rgba(0, 0, 0, 0.6); } 
}
  

.datatable-selector{
  background-color: #FFF;
  color: #212529;
  font-size: 1rem;
  font-weight: 400;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  font-family: var(--bs-body-font-family);
  margin-bottom:5px;
}

.datatable-search{
  margin-bottom:5px;
}

.datatable-input{
  background-color: #FFF;
  color: #212529;
  font-size: 1rem;
  font-weight: 400;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  font-family: var(--bs-body-font-family);
  width: 100%;
}

.datatable-selector option{
  font-family: var(--bs-body-font-family);
  color: #212529;
  font-size: 1rem;
  font-weight: 400;
}

.btn-check:checked{
    text-decoration: underline;
    text-decoration-color: #f3b631;
}

tbody tr:nth-child(odd) {
    background-color: #efeff0;
    /*color: #fff;*/
}


.sticky-top { 
    top: 1.5em; 
}


.row-fluid div {
    -webkit-transition: width 0.3s ease, height 0.3s ease, margin 0.3s ease, padding 0.3s ease, opacity 0.3s ease;
    -moz-transition: width 0.3s ease, height 0.3s ease, margin 0.3s ease, padding 0.3s ease, opacity 0.3s ease;
    -o-transition: width 0.3s ease, height 0.3s ease, margin 0.3s ease, padding 0.3s ease, opacity 0.3s ease;
    transition: width 0.3s ease, height 0.3s ease, margin 0.3s ease, padding 0.3s ease, opacity 0.3s ease;
}
  
#Search-Column{
    flex-shrink: 1;
}

.invalid-feedback{
    text-align: center;
}

option {
    font-family: var(--bs-body-font-family);
}

.feature{
    min-width: 3rem; /* This is to keep the same size icons for app list. */
}

.card-footer{
    font-size: .8rem;
}

/** TABLE **/

.overflow-string{
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    width: 150px;
}

.app-link i {
    margin-right: 5px;
}

.btn-othertools i{
    margin-right: 5px;
}

/* hide cherokee logo img on small screens */
@media screen and (max-width: 600px) {
    .logo-img-div {
      display: none;
    }

    footer{
      justify-content: center;
    }

    .datatable-dropdown label{
      /*display: none;*/
    }
    .card-header a{
        display: none;
    }

    .datatable-search{
        width: 100%;
    }

    #navbarSupportedContent .nav-link{
        text-align: center;
        font-size: 1.5rem;
        /* border-top: 1px solid #f3b631; */
    }

}